---
updatedAt: 2026-05-13T16:17:18.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Avalanche

**Step 1**: To access Avalanche, use the following native access endpoint:

* **Network**: Avalanche Mainnet
* **Request Type**: POST

```
https://svc.blockdaemon.com/avalanche/mainnet/native/PATH_PARAMETER
```

* **Network**: Avalanche Testnet
* **Request Type**: POST

```
https://svc.blockdaemon.com/avalanche/testnet/native/PATH_PARAMETER
```

Depending on the method, add one of the following path parameters at the end:

| Method                   | Path parameter |
| :----------------------- | :------------- |
| Ethereum C-Chain         | ext/bc/c/eth   |
| Avalanche C-Chain (AVAX) | ext/bc/c/avax  |
| Avalanche P-Chain (AVAX) | ext/bc/p       |
| Avalanche Health         | ext/health     |
| Avalanche Info           | ext/info       |

**Step 2:** Authenticate your request using your API key. You can include the API key using either of the following headers:

```curl Bearer Token
Authorization: Bearer YOUR_API_KEY
```

```curl X-API-Key
X-API-Key: YOUR_API_KEY
```

**Step 3**: Specify an Avalanche method in the request body:

> Learn more about Avalanche RPC Methods [here](https://docs.blockdaemon.com/reference/avalanche-methods-rpc-api).

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "YOUR_METHOD",
    "params": []
}
```

# Example Requests

## Example 1: Ethereum C-Chain Methods

Here is a cURL example for using [eth\_blockNumber](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_blocknumber) to get the current block number in Avalanche Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/avalanche/mainnet/native/ext/bc/c/eth \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "eth_blockNumber", "params": []}'
```

The following is a typical response you will get:

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x1335404"
}
```

## Example 2: Avalanche C-Chain (AVAX) Methods

Here is a cURL example for using [avax.getUTXOs](https://build.avax.network/docs/rpcs/c-chain/avalanche/avax_getUTXOs) to get the UTXOs that reference a given address in Avalanche Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/avalanche/mainnet/native/ext/bc/c/avax \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "avax.getUTXOs", "params": {"addresses": ["C-avax18jma8ppw3nhx5r4ap8clazz0dps7rv5ukulre5"], "sourceChain": "X"}}'
```

The following is a typical response you will get:

```json
{
    "jsonrpc": "2.0",
    "result": {
        "numFetched": "0",
        "utxos": [],
        "endIndex": {
            "address": "C-avax18jma8ppw3nhx5r4ap8clazz0dps7rv5ukulre5",
            "utxo": "11111111111111111111111111111111LpoYY"
        },
        "encoding": "hex"
    },
    "id": 1
}
```

## Example 3: Avalanche P-Chain (AVAX) Methods

Here is a cURL example for using [platform.getBlockchainStatus](https://build.avax.network/docs/rpcs/p-chain/blockchains/platform_getBlockchainStatus) to get the status of a blockchain in Avalanche Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/avalanche/mainnet/native/ext/bc/p \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "platform.getBlockchainStatus", "params": []}'
```

The following is a typical response you will get:

```json
{
  "jsonrpc": "2.0",
  "result": {
    "status": "Created"
  },
  "id": 1
}
```

## Example 4: Avalanche Health Methods

Here is a cURL example for using [health.health](https://build.avax.network/docs/rpcs/other/health-rpc#healthhealth) to get the last set of health check results in Avalanche Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/avalanche/mainnet/native/ext/health \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "health.health", "params": []}'
```

The following is a typical response you will get:

```json
{
    "jsonrpc": "2.0",
    "result": {
        "checks": {
            "C": {
                "message": {
                    "consensus": {
                        "longestRunningBlock": "51.804748ms",
                        "outstandingBlocks": 1
                    },
                    "vm": null
                },
                "timestamp": "2022-09-22T16:00:01.043148255Z",
                "duration": 7344
            },
            {...more items...}
        },
        "healthy": true
    },
    "id": 1
}
```

## Example 5: Avalanche Info Methods

Here is a cURL example for using [info.getTxFee](https://build.avax.network/docs/rpcs/other/info-rpc#infogettxfee) to get the fees of the Avalanche Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/avalanche/mainnet/native/ext/info \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "info.getTxFee", "params": []}'
```

The following is a typical response you will get:

```json
{
    "jsonrpc": "2.0",
    "result": {
        "txFee": "1000000",
        "creationTxFee": "10000000",
        "createAssetTxFee": "10000000",
        "createSubnetTxFee": "1000000000",
        "transformSubnetTxFee": "1000000000",
        "createBlockchainTxFee": "1000000000",
        "addPrimaryNetworkValidatorFee": "0",
        "addPrimaryNetworkDelegatorFee": "0",
        "addSubnetValidatorFee": "1000000",
        "addSubnetDelegatorFee": "1000000"
    },
    "id": 1
}
```

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.